optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Attributes | List of all members
optoKummenberg.registers.InputStage.SPI Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.SPI:

## Public Member Functions
| __init__ (self, int channel=0, board=None)
| SelectInput (self, value)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Static Public Member Functions
| help ()

## Public Attributes
| sys_id
| input
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Protected Attributes
| _readonly
| _channel
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - SPI
    System ID: 0x48 through 0x4f

    +----------------+------+-------------+----------+--------+---------+---------------------------------------+
    | Register Name  | Id   | Type        | Unit     | Range  | Default | Comment                               |
    +================+======+=============+==========+========+=========+=======================================+
    | input          | 0x01 | uint 32-bit | None     | 0 to 5 | 0       | For both channel. See registers table |
    +----------------+------+-------------+----------+--------+---------+---------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.InputStage.SPI.__init__ | ( |  | self,
|  | int | channel = 0,
|  |  | board = None )

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ help()

optoKummenberg.registers.InputStage.SPI.help | ( |  | ) |
| static

## ◆ SelectInput()

optoKummenberg.registers.InputStage.SPI.SelectInput | ( |  | self,
|  |  | value )

## Member Data Documentation

## ◆ _channel

optoKummenberg.registers.InputStage.SPI._channel
| protected

## ◆ _readonly

optoKummenberg.registers.InputStage.SPI._readonly
| protected

## ◆ input

optoKummenberg.registers.InputStage.SPI.input

## ◆ name

optoKummenberg.registers.InputStage.SPI.name

## ◆ sys_id

optoKummenberg.registers.InputStage.SPI.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py